%define version 1.1.16
%define release 1mdk

Name:		mftrace
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	Generates scalable fonts for TeX
Group:		Publishing
License:	GPL
URL:		http://www.xs4all.nl/~hanwen/mftrace/
Source0:	http://www.xs4all.nl/~hanwen/mftrace/%{name}-%{version}.tar.bz2
BuildRequires:	python
BuildRequires:	autotrace
BuildRequires:	potrace
Requires:	python
Requires:	tetex
Requires:	autotrace
Requires:	potrace
Requires:	t1utils
Requires:	fontforge >= 1.0-0.040215.1mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%changelog
* Tue Aug 16 2005 Abel Cheung <deaddog@mandriva.org> 1.1.16-1mdk
- New release 1.1.16

* Wed Aug 10 2005 Abel Cheung <deaddog@mandriva.org> 1:1.1.12-1mdk
- Revert to 1.1.12, lilypond won't build with 1.1.13

* Wed Aug 10 2005 Abel Cheung <deaddog@mandriva.org> 1.1.13-2mdk
- Rebuild

* Sat Aug 06 2005 Abel Cheung <deaddog@mandriva.org> 1.1.13-1mdk
- New release 1.1.13
- Fix build dependency

* Fri Aug 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-2mdk
- rebuilt against latest libMagick

* Sat Apr 16 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1.1.8-1mdk
- Release: 1.1.8.

* Mon Mar 21 2005 Abel Cheung <deaddog@mandrake.org> 1.1.6-1mdk
- New release 1.1.6

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 1.1.2-2mdk
- Requires fontforge instead of pfaedit

* Sun Jan 16 2005 Abel Cheung <deaddog@mandrakesoft.com> 1.1.2-1mdk
- New release 1.1.2

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 1.0.36-2mdk
- Requires python

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 1.0.36-1mdk
- New version
- Pulls in potrace too, in case some software wants --autotrace option
  and others want --potrace option

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 1.0.33-2mdk
- Please use configure2_5x whenever possible
- Fix BuildRequires

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 1.0.33-1mdk
- New release 1.0.27

* Wed Feb 12 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.12-2mdk
- thac->contrib
- cleanups

* Sun Feb 02 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.0.12-1mdk
- Built for Mandrake 9.1

* Tue Oct 22 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-1
- updated to 1.0.10, the package is now called mftrace

* Tue Jun 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1
- adapted from alt linux to redhat, needed for the lilypond build
- added patch to GNUmakefile so that the package installs in DESTDIR

* Thu Apr 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Tue Mar 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sat Mar 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.11-alt1
- Adopted for Sisyphus.

* Tue Feb 19 2002 Han-Wen Nienhuys <hanwen@cs.uu.nl>
- Initial build.
